<?xml version="1.0" encoding="UTF-8"?>
<sch:schema queryBinding="xslt"
  xmlns:sch="http://purl.oclc.org/dsdl/schematron"
  xmlns:xslt="http://www.w3.org/1999/XSL/Transform">
  <sch:ns prefix="xhtml" uri="http://www.w3.org/1999/xhtml" />

  <sch:phase id="minimal">
    <sch:active pattern="deprecated_elements" />
  </sch:phase>

  <sch:pattern id="deprecated_elements">
    <sch:rule context="xhtml:b | xhtml:i">
      <sch:report test="true()">
        Concerning element <sch:name/>: b and i are not recommended. 
        Use strong and em, or stylesheets.
      </sch:report>
    </sch:rule>
  </sch:pattern>

  <sch:pattern>
    <sch:rule context="xhtml:object">
      <sch:assert test="string-length(text()) &gt; 0">
        An object element should contain some descriptive text.
      </sch:assert>
    </sch:rule>

    <sch:rule context="xhtml:table">
      <sch:assert test="xhtml:caption">
        A table should have a caption
      </sch:assert>

      <sch:assert test="@summary">
        A table should have a summary attribute
      </sch:assert>
    </sch:rule>
  </sch:pattern>

  <sch:pattern>
    <sch:rule context="xhtml:html">
      <sch:assert test="@lang or @xml:lang">
        The primary language of a document should be identified.
      </sch:assert>
    </sch:rule>
  </sch:pattern>

</sch:schema>
